dd_django: Django component of Discuss Data, a Research Data Platform created by FSO Bremen and SUB Göttingen
=============================================================================================================

funded by DFG

Copyright: 

Forschungsstelle Osteuropa Bremen 2017 (www.forschungsstelle.uni-bremen.de)

Felix Herrmann (<felix.herrmann@uni-bremen.de>) 

Assets
------

Use ./copy_assets.sh to generate (compile less) and copy images, stylesheets, js, etc. to static.


Deployment
----------
These steps should work on any Debian-relative and were tested on Jessie and Stretch

0. Install debian dependecies: ```sudo apt-get install python3-venv python-pip python-dev libpq-dev postgresql postgresql-contrib libxml2 libxslt1-dev libffi-dev```
1. Create a python3 virtualenv: ```python3 -m venv dd_env```
2. Activate the virtualenv: ```source dd_env/bin/activate```
3. Clone the git repo: ```git clone https://gitlab.com/discuss-data/dd_django.git```
4. Install the requirements: ```cd dd_django && pip install -r requirements.txt```
5. Create subdirectories: ```mkdir log; mkdir media```
6. Create a local_settings.py from dd_django/dd_django/local_settings.py.example and changed directory paths and database password 
7. Create a postgres database using the credentials in local_settings.py DATABASES:
```
sudo su - postgres
psql
create database dd_db;
create user dd_db_user with password '<INSERT PASSWORD HERE>';
ALTER ROLE dd_db_user SET client_encoding TO 'utf8';
ALTER ROLE dd_db_user SET default_transaction_isolation TO 'read committed';
ALTER ROLE dd_db_user SET timezone TO 'UTC';
GRANT ALL PRIVILEGES ON DATABASE dd_db to dd_db_user;
\q
```
8. As user postgres insert the unzipped database dump provided seperately: ```psql dd_db < 2017-06-20-dd_db-dump.sql```
9. Run djangos database migration tool: ```python manage.py migrate```
10. Create a superuser: ```python manage.py createsuperuser```
11. Run the development server on localhost:8888: ```python manage.py runserver 8888```

