umask 0022

: ${BUILD_NUMBER:=0} ;

set -e

MAINTAINER_EMAIL=issues@discuss-data.net

VERSION=$(python -c 'import dd_django
print (dd_django.__version__)')
ITERATION=$BUILD_NUMBER
export DD_RELEASE="${VERSION}-${ITERATION}"

# TODO: put back in version
#sed -i "s/$VERSION/$DD_RELEASE/" dd_django/__init__.py

#
# BUILD Component
#

echo "-- Running fabric in $(pwd)"
fab setup
#chmod -R og+rX .


#
# debian post- and pre- install
#
cat <<EOF > /tmp/dd-postinst
#!/bin/bash
if [ "\$1" = configure ] ; then
  cd /opt/discussdata
  #fab setup_deb_package
  if [ -f /opt/discussdata/dd_django/local_settings.py  ] ; then
#      echo "TODO: implement fab sync-database"
      fab sync_database
  fi
  # restart apache if ready
  if invoke-rc.d apache2 status >/dev/null 2>&1 ; then
    if apache2ctl configtest >/dev/null 2>&1 ; then
      invoke-rc.d apache2 restart
    fi
  fi
fi
EOF

cat <<EOF > /tmp/dd-preinst
#!/bin/bash
  echo "nothing to do now in preinst"
EOF



OLDDIR=$(pwd)

echo "-- removing old packages"
rm -f discussdata-portal_*.deb

# set correct virtualenv before deb packaging
sed -i 's/VIRTUAL_ENV=.*/VIRTUAL_ENV="\/opt\/discussdata\/venv_dd"/g' venv_dd/bin/activate

#cd /var/cache/cendari_builder
echo "-- Creating package in $(pwd)"
fpm -t deb -s dir --name discussdata-portal \
                  --description='DiscussData portal - compiled for DiscussData' \
                  --maintainer="DiscussData <${MAINTAINER_EMAIL}>" \
                  --vendor='DiscussData' \
                  --url='http://discuss-data.net' \
                  --iteration ${ITERATION} \
                  --version ${VERSION} \
                  -x ".git**" -x "**/.git**" -x "**/.hg**" -x "**/.svn**" -x "**/*.deb" \
                  -x "bin" -x "lib" -x "local" -x "node_modules" -x "share" -x "src" \
                  -x "dd_django/local_settings.py" -x "apache.conf" -x "supervisor.conf" \
                  --depends apache2 --depends libapache2-mod-wsgi-py3 --depends python3-venv \
                  --depends fabric --depends libpangocairo-1.0-0 \
                  --prefix /opt/discussdata \
                  --before-install /tmp/dd-preinst \
                  --after-install /tmp/dd-postinst \
                  -C ${OLDDIR} .

#echo "resetting version to git-master"
#git checkout -- dd_django/__init__.py

