# -*- coding: utf-8 -*-
# Generated by Django 1.10.2 on 2017-08-24 08:29
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import taggit.managers


class Migration(migrations.Migration):

    dependencies = [
        ('contenttypes', '0002_remove_content_type_name'),
        ('ddusers', '0098_auto_20170823_1229'),
    ]

    operations = [
        migrations.CreateModel(
            name='AnalysisMethodsTagged',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100, unique=True, verbose_name='Name')),
                ('slug', models.SlugField(max_length=100, unique=True, verbose_name='Slug')),
            ],
            options={
                'verbose_name': 'Analysis Methods Tag',
                'verbose_name_plural': 'Analysis Methods Tags',
            },
        ),
        migrations.CreateModel(
            name='AnalysisMethodsTags',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('object_id', models.IntegerField(db_index=True, verbose_name='Object id')),
                ('content_type', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='ddusers_analysismethodstags_tagged_items', to='contenttypes.ContentType', verbose_name='Content type')),
                ('tag', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='analysismethodstags_analysismethodstagged', to='ddusers.AnalysisMethodsTagged')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='CollectionMethodsTagged',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100, unique=True, verbose_name='Name')),
                ('slug', models.SlugField(max_length=100, unique=True, verbose_name='Slug')),
            ],
            options={
                'verbose_name': 'Collection Methods Tag',
                'verbose_name_plural': 'Collection Methods Tags',
            },
        ),
        migrations.CreateModel(
            name='CollectionMethodsTags',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('object_id', models.IntegerField(db_index=True, verbose_name='Object id')),
                ('content_type', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='ddusers_collectionmethodstags_tagged_items', to='contenttypes.ContentType', verbose_name='Content type')),
                ('tag', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='collectionmethodstags_collectionmethodstagged', to='ddusers.CollectionMethodsTagged')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='DataRepository',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=400)),
                ('logo', models.ImageField(blank=True, null=True, upload_to='')),
            ],
        ),
        migrations.CreateModel(
            name='DataType',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=400)),
                ('logo', models.ImageField(blank=True, null=True, upload_to='')),
            ],
        ),
        migrations.CreateModel(
            name='License',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=400)),
                ('logo', models.ImageField(blank=True, null=True, upload_to='')),
            ],
        ),
        migrations.CreateModel(
            name='Sponsor',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=400)),
                ('logo', models.ImageField(blank=True, null=True, upload_to='')),
                ('institution', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='sponsor_institution', to='ddusers.Institution')),
            ],
        ),
        migrations.RemoveField(
            model_name='datasetdescription',
            name='countries',
        ),
        migrations.RemoveField(
            model_name='datasetdescription',
            name='dataset',
        ),
        migrations.RemoveField(
            model_name='datasetdescription',
            name='keyword_tags',
        ),
        migrations.RemoveField(
            model_name='datasetdescription',
            name='languages_of_data',
        ),
        migrations.RemoveField(
            model_name='datasetdescription',
            name='publications',
        ),
        migrations.RemoveField(
            model_name='datasetdescription',
            name='related_dataset',
        ),
        migrations.RemoveField(
            model_name='dataset',
            name='funding_logo',
        ),
        migrations.DeleteModel(
            name='DataSetDescription',
        ),
        migrations.AddField(
            model_name='dataset',
            name='data_repository',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='dataset_datarepository_data_repository', to='ddusers.DataRepository'),
        ),
        migrations.AddField(
            model_name='dataset',
            name='datatypes',
            field=models.ManyToManyField(related_name='dataset_datatypes_datatype', to='ddusers.DataType'),
        ),
        migrations.AddField(
            model_name='dataset',
            name='license',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='dataset_license_license', to='ddusers.License'),
        ),
        migrations.AddField(
            model_name='dataset',
            name='methods_of_data_analysis',
            field=taggit.managers.TaggableManager(blank=True, help_text='A comma-separated list of tags.', through='ddusers.AnalysisMethodsTags', to='ddusers.AnalysisMethodsTagged', verbose_name='AnalysisMethodsTags'),
        ),
        migrations.AddField(
            model_name='dataset',
            name='methods_of_data_collection',
            field=taggit.managers.TaggableManager(blank=True, help_text='A comma-separated list of tags.', through='ddusers.CollectionMethodsTags', to='ddusers.CollectionMethodsTagged', verbose_name='CollectionMethodsTags'),
        ),
        migrations.AddField(
            model_name='dataset',
            name='sponsors',
            field=models.ManyToManyField(blank=True, related_name='dataset_sponsors', to='ddusers.Sponsor'),
        ),
    ]
