from django.core.urlresolvers import resolve
from django import template

register = template.Library()

@register.simple_tag
def nav_active(request, url1, url2):
    """
    In template: {% nav_active request "url1_name_here" "url2_name_here" "%}
    """
    try:
        url_name = resolve(request.path).url_name
        if url_name == url1 or url_name == url2:
            return "active"
        return ""
    except:
        pass

# nav_active() will check the web request url_name and compare it
# to the named url group within urls.py,
# setting the active class if they match.
